<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>rlMssBootErrStatus_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">rlMssBootErrStatus_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Structure to hold the MSS Boot error status data strucutre when booted over SPI for event RL_DEV_AE_MSS_BOOTERRSTATUS_SB.  
 <a href="structrl_mss_boot_err_status__t.html#details">More...</a></p>

<p><code>#include &lt;control/mmwavelink/mmwavelink.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a8cfadd54bc1406195d89e15752960a7a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8cfadd54bc1406195d89e15752960a7a"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mss_boot_err_status__t.html#a8cfadd54bc1406195d89e15752960a7a">powerUpTime</a></td></tr>
<tr class="memdesc:a8cfadd54bc1406195d89e15752960a7a"><td class="mdescLeft">&#160;</td><td class="mdescRight">masterSS powerup time, 1LSB = 5ns <br /></td></tr>
<tr class="separator:a8cfadd54bc1406195d89e15752960a7a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa62d749a8a7547ce0699d75ed3095650"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa62d749a8a7547ce0699d75ed3095650"></a>
rlUInt64_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mss_boot_err_status__t.html#aa62d749a8a7547ce0699d75ed3095650">powerUpStatus</a></td></tr>
<tr class="memdesc:aa62d749a8a7547ce0699d75ed3095650"><td class="mdescLeft">&#160;</td><td class="mdescRight">masterSS Bootup Status over SPI, 0 - PASS, 1- Fail <br />
 Bit Status Information <br />
 0 certificate authentication failure <br />
 1 certificate parser failure <br />
 2 Rprc image1 authentication failure <br />
 3 Rprc image2 authentication failure <br />
 4 Rprc image3 authentication failure <br />
 5 Rprc header not found <br />
 6 Meta header not found <br />
 7 S/W anti roll back check failure <br />
 8 Efuse integrity failure <br />
 9 certificate field validity failure <br />
 10 certificate field invalid authentication key index <br />
 11 certificate field invalid hash type <br />
 12 certificate field invalid subsystem <br />
 13 certificate field invalid decrypt key index <br />
 14 certificate field check efuse mismatch <br />
 15 certificate field check 1 efuse mismatch <br />
 16 certificate field check 2 efuse mismatch <br />
 17 certificate field invalid subsystem bank allocation <br />
 18 certificate field invalid total banks allocation <br />
 19 Rprc parser file length mismatch <br />
 20 Rprc parser MSS file offset mismatch <br />
 21 Rprc parser BSS file offset mismatch <br />
 22 Rprc parser DSS file offset mismatch <br />
 23 certificate field invalid decrypt key <br />
 24 certificate field invalid authentication key <br />
 25 HS device certificate not present <br />
 26 Test port enabling failed <br />
 27 Shared memory allocation failed <br />
 28 MSS image not found <br />
 29 Meta header num files error <br />
 30 Meta header CRC failure <br />
 63:31 RESERVED <br />
<br /></td></tr>
<tr class="separator:aa62d749a8a7547ce0699d75ed3095650"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a177c225a7bcb7a78eefbacd55ea2754b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a177c225a7bcb7a78eefbacd55ea2754b"></a>
rlUInt64_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mss_boot_err_status__t.html#a177c225a7bcb7a78eefbacd55ea2754b">bootTestStatus</a></td></tr>
<tr class="memdesc:a177c225a7bcb7a78eefbacd55ea2754b"><td class="mdescLeft">&#160;</td><td class="mdescRight">masterSS Boot Test Status, 1 - PASS, 0 - FAIL <br />
 Bit Status Information <br />
 0 MibSPI self-test <br />
 1 DMA self-test <br />
 2 Watchdog self-test <br />
 3 RTI self-test <br />
 4 ESM self-test <br />
 5 EDMA self-test <br />
 6 CRC self-test <br />
 7 VIM self-test <br />
 8 MPU self-test <br />
 9 Mailbox self-test <br />
 10 LVDS pattern generation test <br />
 11 CSI2 pattern generation test <br />
 12 NERROR generation test <br />
 13 MibSPI single bit error test <br />
 14 MibSPI double bit error test <br />
 15 DMA Parity error test <br />
 16 TCMA RAM single bit error test <br />
 17 TCMB RAM single bit error test <br />
 18 TCMA RAM double bit error test <br />
 19 TCMB RAM double bit error test <br />
 20 TCMA RAM parity error test <br />
 21 TCMB RAM parity error test <br />
 22 VIM lockstep test <br />
 23 CCM R4 lockstep test <br />
 24 DMA MPU region test <br />
 25 MSS Mailbox single bit error test <br />
 26 MSS Mailbox double bit error test <br />
 27 BSS Mailbox single bit error test <br />
 28 BSS Mailbox double bit error test <br />
 29 EDMA MPU test <br />
 30 EDMA parity test <br />
 31 CSI2 parity test <br />
 32 PBIST (VIM RAM/TCM RAM/MibSPI SRAM/Mailbox/EDMA/DMA/CSI2) <br />
 33 LBIST (VIM/CR4) <br />
 63:34 RESERVED <br /></td></tr>
<tr class="separator:a177c225a7bcb7a78eefbacd55ea2754b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Structure to hold the MSS Boot error status data strucutre when booted over SPI for event RL_DEV_AE_MSS_BOOTERRSTATUS_SB. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>control/mmwavelink/mmwavelink.h</li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
